package org.project.entity.enemies;

import org.project.entity.Entity;
import org.project.item.weapons.Sword;

public class Skeleton extends Enemy {

    public Skeleton() {
        super("Skeleton", 100, 0, new Sword() , 30);
    }

    @Override
    public void specialAbility(Entity target) {
        defend();

        System.out.println("Skeleton raises its shield.");
    }
}
